# Interface methods for submodule: OptimizerParameters
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ArrayProxy as _ArrayProxy


# Interface methods for class: OptimizerParameters
class OptimizerParametersProxy(_ArrayProxy):
	def Initialize(self) -> None:
		""""""
		...

	def MoveDataPointer(self, pointer) -> None:
		""""""
		...

	def SetParametersObject(self, object) -> None:
		""""""
		...

	def SetHelper(self, helper) -> None:
		""""""
		...

	def GetHelper(self):
		""""""
		...

